<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_s.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s"></a>- s -</h3><ul>
<li>samples
: <a class="el" href="class_ray_tracer.html#a352f7cb6352afbc395bac32df143982e">RayTracer</a>
</li>
<li>save_to_file()
: <a class="el" href="class_ray_tracer.html#a8f974dd303bcdb1de773d6fccf3127f0">RayTracer</a>
</li>
<li>Scale()
: <a class="el" href="class_mat.html#a859787d27737801fd4eb282c2a0f3b3d">Mat</a>
</li>
<li>scene
: <a class="el" href="class_ray_tracer.html#ac9cdbb6f2d03e8c1fe9895ac87d64589">RayTracer</a>
</li>
<li>Scene()
: <a class="el" href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a>
</li>
<li>setAlignVertical()
: <a class="el" href="class_billboard.html#a71045dffcdb7bf62c8e3534dc6d5e0eb">Billboard</a>
, <a class="el" href="class_billboard_transform.html#a4d49ea1957972293f8c4c25e9c63141c">BillboardTransform</a>
</li>
<li>setBumpMapped()
: <a class="el" href="class_material.html#ab1a8ca07450c105b312f501db03d9ded">Material</a>
</li>
<li>setBVH()
: <a class="el" href="class_scene.html#a9d206b4dd94733867c8f07834319a2a1">Scene</a>
</li>
<li>setCa()
: <a class="el" href="class_material.html#aeee8f14c34749e8d299ca6e43858a840">Material</a>
</li>
<li>setCp()
: <a class="el" href="class_material.html#a8e1ec1391572fc46164d392f07129174">Material</a>
</li>
<li>setCr()
: <a class="el" href="class_material.html#a847f683a1b2f97d6a7ee182c9e87eca3">Material</a>
</li>
<li>setDepthRayRecursion()
: <a class="el" href="class_ray_tracer.html#ac8442d74a14bb488634460d587e5ac48">RayTracer</a>
</li>
<li>setEmissive()
: <a class="el" href="class_material.html#a782130f7a711c6607dcfe6124a82469f">Material</a>
</li>
<li>setID()
: <a class="el" href="class_surface.html#ab59cc271b2fe0db25867fc16664cc22f">Surface</a>
</li>
<li>setLightDecay()
: <a class="el" href="class_material.html#ae52779c037c246aceac07f2d14fb92a8">Material</a>
</li>
<li>setMat()
: <a class="el" href="class_transform.html#af68f2847da11a453652c9eda3c1e6f38">Transform</a>
</li>
<li>setMaterial()
: <a class="el" href="class_billboard.html#a3c39b6f8b74eab1252daa939856bf314">Billboard</a>
, <a class="el" href="class_mesh.html#a216201cebabdd7341983615e19239c94">Mesh</a>
, <a class="el" href="class_surface.html#a2110a2eb3f0279d59a52e2034069eaae">Surface</a>
</li>
<li>setNrAntiAliasingSamples()
: <a class="el" href="class_ray_tracer.html#ae355f48cf8bd6ee996c204cde4f851dc">RayTracer</a>
</li>
<li>setNrShadowSamples()
: <a class="el" href="class_ray_tracer.html#acaf0197e36cd4b7dc85dc42d1fe0b60a">RayTracer</a>
</li>
<li>setPhong()
: <a class="el" href="class_material.html#a61bbfad1e60d4e41943972774d0bc067">Material</a>
</li>
<li>setPosLocalCoords()
: <a class="el" href="class_sphere.html#a7679526478966e1e143360dfd12d57a3">Sphere</a>
</li>
<li>setRadius()
: <a class="el" href="class_sphere.html#a43f31e0eaf092bc14fe8be5c2051e659">Sphere</a>
</li>
<li>setReflective()
: <a class="el" href="class_material.html#a7b442ea5f27bc51da4822e02fb4297bb">Material</a>
</li>
<li>setRefractive()
: <a class="el" href="class_material.html#adff5906d2e02f7191d6827f093789780">Material</a>
</li>
<li>setRefractiveIndex()
: <a class="el" href="class_material.html#a114906601db621c0d7101961300d8308">Material</a>
</li>
<li>setSmoothShading()
: <a class="el" href="class_surface.html#ae844c2766ec89af9dd6e65db59cf0b02">Surface</a>
</li>
<li>setTextureMapped()
: <a class="el" href="class_material.html#a938b386ff83eb1cde4831c0c36a5407e">Material</a>
</li>
<li>setTilesNumber()
: <a class="el" href="class_material.html#ae9a0316f3ea807c95d1b3d347bfd7dc0">Material</a>
</li>
<li>setTransform()
: <a class="el" href="class_camera.html#ae4b0e9ea41d0f132d2fe7a7349d919e4">Camera</a>
, <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4">Light</a>
, <a class="el" href="class_mesh.html#a3a5773b7b3f1457e0e1667a8b5c49975">Mesh</a>
, <a class="el" href="class_surface.html#abcbeb2a388e4971bd7095ce57e85fb95">Surface</a>
</li>
<li>setVertexPosLocalCoords()
: <a class="el" href="class_surface.html#a7a455dca43c650016886ea02320ed4a3">Surface</a>
</li>
<li>shadow_rays()
: <a class="el" href="class_ray_tracer.html#aaa54f1ee77877741364c27665d4088ab">RayTracer</a>
</li>
<li>shadow_samples
: <a class="el" href="class_ray_tracer.html#aca8693132318560401e7196689f2aaf3">RayTracer</a>
</li>
<li>smooth_shading
: <a class="el" href="class_surface.html#aa7675dc7633490a99cd39620054e2bdb">Surface</a>
</li>
<li>Sphere()
: <a class="el" href="class_sphere.html#aa0963e7749cf2a3040b149b31cece46f">Sphere</a>
</li>
<li>sphereFromID()
: <a class="el" href="class_scene.html#a0747eea84e4436d8f9a80e47ee1cfc66">Scene</a>
</li>
<li>start
: <a class="el" href="struct_b_v_h_build_entry.html#aa2488e70cce3d1834a184e8472a843fe">BVHBuildEntry</a>
, <a class="el" href="struct_b_v_h_flat_node.html#a574e6ec522dfaf5ac6ed6263877c0358">BVHFlatNode</a>
</li>
<li>surface
: <a class="el" href="structhit__rec.html#acf7ee9d8bc9a6080f672b55bc9fa632a">hit_rec</a>
</li>
<li>Surface()
: <a class="el" href="class_surface.html#a8fc57f2a15292135c00545c9d224ec68">Surface</a>
</li>
<li>surfaceArea()
: <a class="el" href="class_box.html#a3a04958793a3430d2bcab9a819c77d33">Box</a>
</li>
<li>surfaceFromID()
: <a class="el" href="class_scene.html#a6e766a2cb866e58fb4e2d529b5937890">Scene</a>
</li>
<li>surfaces
: <a class="el" href="class_mesh.html#acbef3f84de109c5f89ee4aa377a3657c">Mesh</a>
, <a class="el" href="class_scene.html#a0196c28bebf7f0cd29345066887ac4f1">Scene</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
